CSB-BUILDHMM(1)

NAME
csb-buildhmm - build an HMM from a FASTA sequence

DESCRIPTION
usage: csb-buildhmm [-h] -q QUERY_ID [-t TK_ROOT] [-d DATABASE] [-c TK_CONFIG]

[--cpu CPU] [--no-ss] [--no-pseudo] [--no-calibration]
    query

Build an HMM from a FASTA sequence. This program is a proxy to hhblits/addss.pl and hhmake from the HHpred package. @note: assuming you have the full HHpred package installed and configured.

  positional arguments:

query
    input sequence (FASTA or PDB file)

  optional arguments:

-h, --help
    show this help message and exit

-q QUERY_ID, --query-id QUERY_ID
    ID of the query, in PDB-like format (accessionCHAIN).Used for naming the output files. Also, if the input is a PDB file with multiple chains, CHAIN is used to pull the required chain from the file.

-t TK_ROOT, --tk-root TK_ROOT
    path to the ToolkitRoot folder in your HHsuite setup (default=/ebio/abt1_toolkit/share/wye)

-d DATABASE, --database DATABASE
    custom HHblits database; if not defined, toolkit's unirpto20 will be used

-c TK_CONFIG, --tk-config TK_CONFIG
    path to a folder containing custom HHsuite configs (e.g. HHPaths.pm) (default=.)

--cpu CPU
    maximum degree of parallelism (default=1)

--no-ss
    do not include secondary structure (default=False)

--no-pseudo
    do not add emission and transition pseudocounts (default=False)

--no-calibration
    do not calibrate the profile (default=False)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.